Server runs 1.7 - downgraded from 1.8

parent 9f67a9a5
......@@ -9,10 +9,9 @@ apply plugin: 'war'
//}
war {
sourceCompatibility = JavaVersion.VERSION_1_8
targetCompatibility = JavaVersion.VERSION_1_8
sourceCompatibility = JavaVersion.VERSION_1_7
targetCompatibility = JavaVersion.VERSION_1_7
baseName = 'wst'
// version = '0.0.1'
}
repositories {
......@@ -36,8 +35,9 @@ configurations {
dependencies {
providedRuntime("org.springframework.boot:spring-boot-starter-tomcat")
compile(
"org.springframework.boot:spring-boot-starter-tomcat",
"org.springframework.boot:spring-boot-starter-web",
"org.springframework.boot:spring-boot-starter-data-jpa",
"com.h2database:h2"
......
......@@ -25,15 +25,15 @@ public class InitializeEmbeddedDataBaseData {
Survey surveyOne = surveyRepository.save(new Survey());
Survey surveyTwo = surveyRepository.save(new Survey());
generateIdsFromFile().forEach(i -> {
for (int i : generateIdsFromFile()) {
final Participant p = new Participant(i, statusCode(), surveyOne);
participantRepository.save(p);
});
}
generateIdsFromFile().forEach(i -> {
for (int i : generateIdsFromFile()) {
Participant p = new Participant(i, statusCode(), surveyTwo);
participantRepository.save(p);
});
}
}
private List<Integer> generateIdsFromFile() {
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment